## org.jgroups.blocks
Class LockingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jgroups.blocks.LockingException

All Implemented Interfaces:
  java.io.Serializable

    public class LockingException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`LockingException(java.util.Map m)`
`LockingException(java.lang.String msg)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockingException

    public LockingException(java.lang.String msg)

### LockingException

    public LockingException(java.util.Map m)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.